<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<!--
   Translation file for 4D products.
   Copyright (C) 2007-2013 4D SAS.
   This file is distributed under the same license as the 4D product package.
-->
<!DOCTYPE xliff PUBLIC "-//XLIFF//DTD XLIFF//EN" "http://www.oasis-open.org/committees/xliff/documents/xliff.dtd">
<xliff version="1.0">
   <file datatype="x-STR#" original="undefined" product-version="v14" source-language="en-US" target-language="de">
      <header>
         <note>The character "%" (out of a numerical context) is a meta-character that will be replaced (often by a numeric value) before the string is displayed</note>
         <note>Text between less than (&lt;) and greater than (&gt;) symbols is a variable's name and must not be localised</note>
         <note>\r, \t and \n are meta-characters.</note>
      </header>
      <body>
         <group id="3200">
            <trans-unit id="1" resname="SQL_ERROR_NO_DESCRIPTION">
               <source>Error description is not available.</source>
               <target>Fehlerbeschreibung ist nicht verfügbar.</target>
            </trans-unit>
            <trans-unit id="2" resname="ERR_SQLS_1103">
               <source>Table '{key1}' is not declared in the FROM clause.</source>
               <target>Tabelle '{key1}' ist in FROM Klausel nicht definiert.</target>
            </trans-unit>
            <trans-unit id="3" resname="ERR_SQLS_1102_1">
               <source>Column '{key1}' does not exist.</source>
               <target>Spalte '{key1}' existiert nicht.</target>
            </trans-unit>
            <trans-unit id="4" resname="ERR_SQLS_1102_2">
               <source>Column '{key1}' does not exist in the table '{key2}'.</source>
               <target>Spalte '{key1}' existiert nicht in Tabelle '{key2}'.</target>
            </trans-unit>
            <trans-unit id="5" resname="ERR_SQLS_1104">
               <source>Column name reference '{key1}' is ambiguous.</source>
               <target>Spaltennamen-Referenz '{key1}' ist zweideutig.</target>
            </trans-unit>
            <trans-unit id="6" resname="ERR_SQLS_1101">
               <source>Table '{key1}' does not exist in the database.</source>
               <target>Tabelle '{key1}' existiert nicht in Datenbank.</target>
            </trans-unit>
            <trans-unit id="7" resname="ERR_SQLS_1105">
               <source>Table alias '{key1}' is the same as table name.</source>
               <target>Tabellen-Alias '{key1}' ist identisch zum Tabellennamen.</target>
            </trans-unit>
            <trans-unit id="8" resname="ERR_SQLS_1106">
               <source>Duplicate table alias - '{key1}'.</source>
               <target>Doppelter Tabellen-Alias - '{key1}'.</target>
            </trans-unit>
            <trans-unit id="9" resname="ERR_SQLS_1107">
               <source>Duplicate table in the FROM clause - '{key1}'.</source>
               <target>Doppelte Tabelle in FROM Klausel - '{key1}'.</target>
            </trans-unit>
            <trans-unit id="10" resname="ERR_SQLS_1108">
               <source>Operation {key1} {key2} {key3} is not type safe.</source>
               <target>Operation {key1} {key2} {key3} ist nicht Typ Sicher.</target>
            </trans-unit>
            <trans-unit id="11" resname="ERR_SQLS_1124">
               <source>Cannot mix {key1} and {key2} types in the IN predicate.</source>
               <target>Mischung von {key1} und {key2} Typen in IN Prädikat nicht möglich.</target>
            </trans-unit>
            <trans-unit id="12" resname="ERR_SQLS_1125">
               <source>Escape sequence '{key1}' in the LIKE predicate is too long. It must be exactly one character.</source>
               <target>Escape Sequence '{key1}' im LIKE Prädikat zu lang. Es muß exakt ein Zeichen sein.</target>
            </trans-unit>
            <trans-unit id="13" resname="ERR_SQLS_1126">
               <source>Bad escape character - '{key1}'.</source>
               <target>Ungültiges Escape Zeichen - '{key1}'.</target>
            </trans-unit>
            <trans-unit id="14" resname="ERR_SQLS_1127">
               <source>Unknown escape sequence - '{key1}'.</source>
               <target>Unbekannte Escape Sequence - '{key1}'.</target>
            </trans-unit>
            <trans-unit id="15" resname="ERR_SQLS_1117_1">
               <source>Sub-query is not allowed to contain column functions in the context of its super-query.</source>
               <target>Unterabfrage darf keine Spaltenfunktionen im Kontext der Hauptabfrage enthalten.</target>
            </trans-unit>
            <trans-unit id="16" resname="ERR_SQLS_1117_2">
               <source>Column function is not allowed.</source>
               <target>Spaltenfunktion ist nicht erlaubt.</target>
            </trans-unit>
            <trans-unit id="17" resname="ERR_SQLS_1117_3">
               <source>UPDATE - aggregate functions are not allowed.</source>
               <target>UPDATE - Aggregate Funktionen sind nicht erlaubt.</target>
            </trans-unit>
            <trans-unit id="18" resname="ERR_SQLS_1130">
               <source>Sub-query produces more than one column.</source>
               <target>Unterabfrage erzeugt mehr als eine Spalte.</target>
            </trans-unit>
            <trans-unit id="19" resname="ERR_SQLS_1120_1">
               <source>GROUP BY index is not allowed.</source>
               <target>GROUP BY Index ist nicht erlaubt.</target>
            </trans-unit>
            <trans-unit id="20" resname="ERR_SQLS_1120_2">
               <source>GROUP BY index is not allowed for SELECT item at index {key1}.</source>
               <target>GROUP BY Index ist nicht erlaubt für SELECT Element bei Index {key1}.</target>
            </trans-unit>
            <trans-unit id="21" resname="ERR_SQLS_1118_1">
               <source>Cannot mix column and scalar operations.</source>
               <target>Spalten und Scalar Operationen können nicht gemischt werden.</target>
            </trans-unit>
            <trans-unit id="22" resname="ERR_SQLS_1118_2">
               <source>Cannot mix column and scalar operations {key1}.</source>
               <target>Spalten und Scalar Operationen können nicht gemischt werden {key1}.</target>
            </trans-unit>
            <trans-unit id="23" resname="ERR_SQLS_1129">
               <source>Scalar item in the SELECT list is not allowed when GROUP BY clause is present.</source>
               <target>Scalar Elemente in der SELECT Liste sind bei Verwendung einer GROUP BY Klausel nicht erlaubt.</target>
            </trans-unit>
            <trans-unit id="24" resname="ERR_SQLS_1415">
               <source>Query parameter is either not allowed or was not provided.</source>
               <target>Der Query Parameter ist entweder nicht erlaubt oder nicht vorhanden.</target>
            </trans-unit>
            <trans-unit id="25" resname="ERR_SQLS_1114">
               <source>Sorting by indexed item in the SELECT list is not allowed - ORDER BY item {key1}.</source>
               <target>Sortierung nach indiziertem Element der SELECT Liste ist nicht erlaubt - ORDER BY Element {key1}.</target>
            </trans-unit>
            <trans-unit id="26" resname="ERR_SQLS_1109">
               <source>Invalid ORDER BY index - {key1}.</source>
               <target>Ungültiger ORDER BY Index - {key1}.</target>
            </trans-unit>
            <trans-unit id="27" resname="ERR_SQLS_1123">
               <source>Column '{key1}' is not a grouping column and cannot be used in the ORDER BY clause.</source>
               <target>Spalte '{key1}' ist keine Gruppenspalte und kann nicht in der ORDER BY Klausel verwendet werden.</target>
            </trans-unit>
            <trans-unit id="28" resname="ERR_SQLS_1121">
               <source>GROUP BY is not allowed with 'SELECT * FROM ...'.</source>
               <target>GROUP BY ist nicht mit 'SELECT * FROM ...' erlaubt.</target>
            </trans-unit>
            <trans-unit id="29" resname="ERR_SQLS_1119">
               <source>Invalid GROUP BY index - {key1}.</source>
               <target>Ungültiges GROUP BY Index - {key1}.</target>
            </trans-unit>
            <trans-unit id="30" resname="ERR_SQLS_1110_1">
               <source>Function {key1} expects one parameter, not {key2}.</source>
               <target>Funktion {key1} erwartet einen Parameter, nicht {key2}.</target>
            </trans-unit>
            <trans-unit id="31" resname="ERR_SQLS_1110_2">
               <source>Function {key1} expects {key2} parameters, not {key3}.</source>
               <target>Funktion {key1} erwartet {key2} Parameter, nicht {key3}.</target>
            </trans-unit>
            <trans-unit id="32" resname="ERR_SQLS_1111">
               <source>Parameter {key1} of type {key2} in function call {key3} is not implicitly convertible to {key4}.</source>
               <target>Parameter {key1} von Typ {key2} in Funktionsaufruf {key3} kann nicht implizit in {key4} konvertiert werden.</target>
            </trans-unit>
            <trans-unit id="33" resname="ERR_SQLS_1128">
               <source>Column references from more than one query in aggregate function {key1} are not allowed.</source>
               <target>Spaltenreferenzen von mehr als einer Query in Aggregate Funktion {key1} nicht erlaubt.</target>
            </trans-unit>
            <trans-unit id="34" resname="ERR_SQLS_1116">
               <source>Nested aggregate functions are not allowed in the aggregate function {key1}.</source>
               <target>Verschachtelte Aggregat-Funktionen sind nicht in einer Aggregat-Funktion {key1} erlaubt.</target>
            </trans-unit>
            <trans-unit id="35" resname="ERR_SQLS_1112">
               <source>Unknown function - {key1}.</source>
               <target>Unbekannte Funktion - {key1}.</target>
            </trans-unit>
            <trans-unit id="36" resname="ERR_SQLS_1122">
               <source>HAVING is not an aggregate expression.</source>
               <target>HAVING ist kein Aggregat-Ausdruck.</target>
            </trans-unit>
            <trans-unit id="37" resname="ERR_SQLS_1133">
               <source>Duplicate column reference in the INSERT list - '{key1}'.</source>
               <target>Doppelte Spaltenreferenz in INSERT Liste - '{key1}'.</target>
            </trans-unit>
            <trans-unit id="38" resname="ERR_SQLS_1135">
               <source>Duplicate column reference in the UPDATE list - '{key1}'.</source>
               <target>Doppelte Spaltenreferenz in UPDATE Liste - '{key1}'.</target>
            </trans-unit>
            <trans-unit id="39" resname="ERR_SQLS_1132">
               <source>INSERT value count {key1} does not match column count {key2}.</source>
               <target>INSERT Werteanzahl {key1} entspricht nicht Spaltenanzahl {key2}.</target>
            </trans-unit>
            <trans-unit id="40" resname="ERR_SQLS_1134">
               <source>Column '{key1}' does not allow NULL values.</source>
               <target>Spalte '{key1}' erlaubt keine NULL Werte.</target>
            </trans-unit>
            <trans-unit id="41" resname="ERR_SQLS_1136">
               <source>Table '{key1}' already exists.</source>
               <target>Tabelle '{key1}' existiert bereits.</target>
            </trans-unit>
            <trans-unit id="42" resname="ERR_SQLS_1139">
               <source>More than one primary key is not allowed.</source>
               <target>Mehr als ein Primärschlüssel ist nicht erlaubt.</target>
            </trans-unit>
            <trans-unit id="43" resname="ERR_SQLS_1137">
               <source>Duplicate column '{key1}' in the CREATE TABLE command.</source>
               <target>Doppelte Spalte '{key1}' in CREATE TABLE Befehl.</target>
            </trans-unit>
            <trans-unit id="44" resname="ERR_SQLS_1140">
               <source>Ambiguous foreign key name - '{key1}'.</source>
               <target>Mehrdeutiger Fremdschlüssel Name - '{key1}'.</target>
            </trans-unit>
            <trans-unit id="45" resname="ERR_SQLS_1141">
               <source>Column count {key1} in the child table does not match column count {key2} in the parent table of the foreign key definition.</source>
               <target>Spaltenanzahl {key1} der Kindtabelle entspricht nicht der Spaltenanzahl {key2} in der Eltern-Tabelle der Fremdschlüsseldefinition.</target>
            </trans-unit>
            <trans-unit id="46" resname="ERR_SQLS_1142">
               <source>Column type mismatch in the foreign key definition. Cannot relate {key1} in child table to {key2} in parent table.</source>
               <target>Spaltentyp Unterschied in der Fremdschlüsseldefinition. Relation von {key1} der Kindtabelle zu {key2} nicht möglich.</target>
            </trans-unit>
            <trans-unit id="47" resname="ERR_SQLS_1143">
               <source>Failed to find matching column in parent table for '{key1}' column in child table.</source>
               <target>Passende Spalte in Elterntabelle für '{key1}' Spalte der Kindtabelle nicht gefunden.</target>
            </trans-unit>
            <trans-unit id="48" resname="ERR_SQLS_1144">
               <source>UPDATE and DELETE constraints must be the same.</source>
               <target>UPDATE und DELETE Grenzen müssen identisch sein.</target>
            </trans-unit>
            <trans-unit id="49" resname="ERR_SQLS_1146">
               <source>Invalid LIMIT value in SELECT command - {key1}.</source>
               <target>Ungültiger Wert für LIMIT in SELECT Befehl - {key1}.</target>
            </trans-unit>
            <trans-unit id="50" resname="ERR_SQLS_1147">
               <source>Invalid OFFSET value in SELECT command - {key1}.</source>
               <target>Ungültiger Wert OFFSET in SELECT Befehl - {key1}.</target>
            </trans-unit>
            <trans-unit id="51" resname="ERR_SQLS_1148">
               <source>Primary key does not exist in table '{key1}'.</source>
               <target>Primärerschlüssel existiert nicht in Tabelle '{key1}'.</target>
            </trans-unit>
            <trans-unit id="52" resname="ERR_SQLS_1150_1">
               <source>Column '{key1}' is not part of a primary key.</source>
               <target>Spalte '{key1}' ist nicht Teil des Primärschlüssels.</target>
            </trans-unit>
            <trans-unit id="53" resname="ERR_SQLS_1150_2">
               <source>Column '{key1}' is not part of a primary key in table '{key2}'.</source>
               <target>Spalte '{key1}' ist nicht Teil des Primärschlüssels in Tabelle '{key2}'.</target>
            </trans-unit>
            <trans-unit id="54" resname="ERR_SQLS_1153">
               <source>Bad data type length '{key1}'.</source>
               <target>Ungültige Datentyplänge '{key1}'.</target>
            </trans-unit>
            <trans-unit id="55" resname="ERR_SQLS_1217">
               <source>Failed to lock table for reading.</source>
               <target>Tabelle kann nicht zum Lesen gesperrt werden.</target>
            </trans-unit>
            <trans-unit id="56" resname="ERR_SQLS_UNKNOWN">
               <source>Unknown error code.</source>
               <target>Unbekannte Fehler ID.</target>
            </trans-unit>
            <trans-unit id="57" resname="ERR_SQLS_1701">
               <source>Failed to validate table '{key1}'.</source>
               <target>Tabelle kann nicht bestätigt werden '{key1}'.</target>
            </trans-unit>
            <trans-unit id="58" resname="ERR_SQLS_1702">
               <source>Failed to validate FROM clause.</source>
               <target>FROM Klausel kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="59" resname="ERR_SQLS_1703">
               <source>Failed to validate GROUP BY clause.</source>
               <target>GROUP BY Klausel kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="60" resname="ERR_SQLS_1704">
               <source>Failed to validate SELECT list.</source>
               <target>SELECT Liste kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="61" resname="ERR_SQLS_1705">
               <source>Failed to validate WHERE clause.</source>
               <target>WHERE Klausel kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="62" resname="ERR_SQLS_1706">
               <source>Failed to validate ORDER BY clause.</source>
               <target>ORDER BY Klausel kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="63" resname="ERR_SQLS_1707">
               <source>Failed to validate HAVING clause.</source>
               <target>HAVING Klausel kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="64" resname="ERR_SQLS_1708">
               <source>Failed to validate COMPARISON predicate.</source>
               <target>COMPARISON Prädikat kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="65" resname="ERR_SQLS_1709">
               <source>Failed to validate BETWEEN predicate.</source>
               <target>BETWEEN Prädikat kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="66" resname="ERR_SQLS_1710">
               <source>Failed to validate IN predicate.</source>
               <target>IN Prädikat kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="67" resname="ERR_SQLS_1712">
               <source>Failed to validate ALL ANY predicate.</source>
               <target>ALL ANY Prädikat kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="68" resname="ERR_SQLS_1713">
               <source>Failed to validate EXISTS predicate.</source>
               <target>EXISTS Prädikat kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="69" resname="ERR_SQLS_1714">
               <source>Failed to validate IS NULL predicate.</source>
               <target>IS NULL Prädikat kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="70" resname="ERR_SQLS_1715">
               <source>Failed to validate subquery.</source>
               <target>Subquery kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="71" resname="ERR_SQLS_1716">
               <source>Failed to validate SELECT item {key1}.</source>
               <target>SELECT Element {key1} kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="72" resname="ERR_SQLS_1717">
               <source>Failed to validate column '{key1}'.</source>
               <target>Spalte '{key1}' kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="73" resname="ERR_SQLS_1718">
               <source>Failed to validate function '{key1}'.</source>
               <target>Funktion '{key1}' kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="74" resname="ERR_SQLS_1719">
               <source>Failed to validate CASE expression.</source>
               <target>CASE Ausdruck  kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="75" resname="ERR_SQLS_1720">
               <source>Failed to validate command parameter.</source>
               <target>Befehlsparameter kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="76" resname="ERR_SQLS_1721">
               <source>Failed to validate function parameter {key1}.</source>
               <target>Funktionsparameter {key1} kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="77" resname="ERR_SQLS_1722">
               <source>Failed to validate INSERT item {key1}.</source>
               <target>INSERT Element {key1} kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="78" resname="ERR_SQLS_1723">
               <source>Failed to validate UPDATE item {key1}.</source>
               <target>UPDATE Element {key1} kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="79" resname="ERR_SQLS_1724">
               <source>Failed to validate column list.</source>
               <target>Spaltenliste kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="80" resname="ERR_SQLS_1725">
               <source>Failed to validate foreign key</source>
               <target>Fremdschlüssel kann nicht bestätigt werden</target>
            </trans-unit>
            <trans-unit id="81" resname="ERR_SQLS_1204">
               <source>Failed to create record {key1}.</source>
               <target>Datensatz {key1} kann nicht erzeugt werden.</target>
            </trans-unit>
            <trans-unit id="82" resname="ERR_SQLS_1205">
               <source>Failed to update field '{key1}'.</source>
               <target>Feld '{key1}' kann nicht aktualisiert werden.</target>
            </trans-unit>
            <trans-unit id="83" resname="ERR_SQLS_1206">
               <source>Failed to delete record '{key1}'.</source>
               <target>Datensatz '{key1}' kann nicht gelöscht werden.</target>
            </trans-unit>
            <trans-unit id="84" resname="ERR_SQLS_1131">
               <source>Subquery must return one row at the most but instead it returns {key1}.</source>
               <target>Eine Unterabfrage darf nur maximal eine Zeile zurückgeben, ergibt aber {key1}.</target>
            </trans-unit>
            <trans-unit id="85" resname="ERR_SQLS_1113">
               <source>Division by zero.</source>
               <target>Division durch Null.</target>
            </trans-unit>
            <trans-unit id="86" resname="ERR_SQLS_1726">
               <source>Failed to validate SELECT command.</source>
               <target>SELECT Befehl kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="87" resname="ERR_SQLS_1727">
               <source>Failed to validate INSERT command.</source>
               <target>INSERT Befehl kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="88" resname="ERR_SQLS_1728">
               <source>Failed to validate DELETE command.</source>
               <target>DELETE Befehl kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="89" resname="ERR_SQLS_1729">
               <source>Failed to validate UPDATE command.</source>
               <target>UPDATE Befehl kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="90" resname="ERR_SQLS_1730">
               <source>Failed to validate CREATE TABLE command.</source>
               <target>CREATE TABLE Befehl kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="91" resname="ERR_SQLS_1731">
               <source>Failed to validate DROP TABLE command.</source>
               <target>DROP TABLE Befehl kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="92" resname="ERR_SQLS_1732">
               <source>Failed to validate ALTER TABLE command.</source>
               <target>ALTER TABLE Befehl kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="93" resname="ERR_SQLS_1733">
               <source>Failed to validate CREATE INDEX command.</source>
               <target>CREATE INDEX Befehl kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="94" resname="ERR_SQLS_1734">
               <source>Failed to validate LOCK TABLE command.</source>
               <target>LOCK TABLE Befehl kann nicht bestätigt werden.</target>
            </trans-unit>
            <trans-unit id="95" resname="ERR_SQLS_1801">
               <source>Failed to execute SELECT command.</source>
               <target>SELECT Befehl kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="96" resname="ERR_SQLS_1802">
               <source>Failed to execute INSERT command.</source>
               <target>INSERT Befehl kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="97" resname="ERR_SQLS_1803">
               <source>Failed to execute DELETE command.</source>
               <target>DELETE Befehl kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="98" resname="ERR_SQLS_1804">
               <source>Failed to execute UPDATE command.</source>
               <target>UPDATE Befehl kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="99" resname="ERR_SQLS_1805">
               <source>Failed to execute CREATE TABLE command.</source>
               <target>CREATE TABLE Befehl kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="100" resname="ERR_SQLS_1806">
               <source>Failed to execute DROP TABLE command.</source>
               <target>DROP TABLE Befehl kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="101" resname="ERR_SQLS_1812">
               <source>Failed to execute TRANSACTION command.</source>
               <target>TRANSACTION Befehl kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="102" resname="ERR_SQLS_1807">
               <source>Failed to execute CREATE DATABASE command.</source>
               <target>CREATE DATABASE Befehl kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="103" resname="ERR_SQLS_1808">
               <source>Failed to execute ALTER TABLE command.</source>
               <target>ALTER TABLE Befehl kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="104" resname="ERR_SQLS_1809">
               <source>Failed to execute CREATE INDEX command.</source>
               <target>CREATE INDEX Befehl kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="105" resname="ERR_SQLS_1810">
               <source>Failed to execute DROP INDEX command.</source>
               <target>DROP INDEX Befehl kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="106" resname="ERR_SQLS_1811">
               <source>Failed to execute LOCK TABLE command.</source>
               <target>LOCK TABLE Befehl kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="107" resname="ERR_SQLS_1813">
               <source>Failed to execute WHERE clause.</source>
               <target>WHERE Klausel kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="108" resname="ERR_SQLS_1814">
               <source>Failed to execute GROUP BY clause.</source>
               <target>GROUP BY Klausel kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="109" resname="ERR_SQLS_1815">
               <source>Failed to execute HAVING clause.</source>
               <target>HAVING Klausel kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="110" resname="ERR_SQLS_1816">
               <source>Failed to aggregate.</source>
               <target>Aggregat fehlgeschlagen.</target>
            </trans-unit>
            <trans-unit id="111" resname="ERR_SQLS_1817">
               <source>Failed to execute DISTINCT.</source>
               <target>DISTINCT kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="112" resname="ERR_SQLS_1818">
               <source>Failed to execute ORDER BY clause.</source>
               <target>ORDER BY Klausel kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="113" resname="ERR_SQLS_1819">
               <source>Failed to build DB4D query.</source>
               <target>DB4D Query kann nicht erzeugt werden.</target>
            </trans-unit>
            <trans-unit id="114" resname="ERR_SQLS_1512">
               <source>Failed to parse timestamp.</source>
               <target>Zeitstempel kann nicht geparst werden.</target>
            </trans-unit>
            <trans-unit id="115" resname="ERR_SQLS_1513">
               <source>Failed to parse duration.</source>
               <target>Zeitdauer kann nicht geparst werden.</target>
            </trans-unit>
            <trans-unit id="116" resname="ERR_SQLS_1820">
               <source>Failed to calculate comparison predicate.</source>
               <target>Vergleichs-Prädikat kann nicht berechnet werden.</target>
            </trans-unit>
            <trans-unit id="117" resname="ERR_SQLS_1821">
               <source>Failed to execute subquery.</source>
               <target>Subquery kann nicht ausgeführt werden.</target>
            </trans-unit>
            <trans-unit id="118" resname="ERR_SQLS_1822">
               <source>Failed to calculate BETWEEN predicate.</source>
               <target>Fehler beim Berechnen des BETWEEN Prädikat.</target>
            </trans-unit>
            <trans-unit id="119" resname="ERR_SQLS_1823">
               <source>Failed to calculate IN predicate.</source>
               <target>Fehler beim Berechnen des  IN Prädikat.</target>
            </trans-unit>
            <trans-unit id="120" resname="ERR_SQLS_1824">
               <source>Failed to calculate ALL/ANY predicate.</source>
               <target>Fehler beim Berechnen des  ALL/ANY Prädikat.</target>
            </trans-unit>
            <trans-unit id="121" resname="ERR_SQLS_1825">
               <source>Failed to calculate LIKE predicate.</source>
               <target>Fehler beim Berechnen des  LIKE Prädikat.</target>
            </trans-unit>
            <trans-unit id="122" resname="ERR_SQLS_1735">
               <source>Failed to calculate LIKE predicate pattern.</source>
               <target>Fehler beim Berechnen des  LIKE Prädikat Musters.</target>
            </trans-unit>
            <trans-unit id="123" resname="ERR_SQLS_1826">
               <source>Failed to calculate EXISTS predicate.</source>
               <target>Fehler beim Berechnen des  EXISTS Prädikat.</target>
            </trans-unit>
            <trans-unit id="124" resname="ERR_SQLS_1827">
               <source>Failed to calculate IS NULL predicate.</source>
               <target>Fehler beim Berechnen des  IS NULL Prädikat.</target>
            </trans-unit>
            <trans-unit id="125" resname="ERR_SQLS_1828">
               <source>Failed to perform arithmetic operation.</source>
               <target>Fehler beim Ausführen einer arithmetischen Operation.</target>
            </trans-unit>
            <trans-unit id="126" resname="ERR_SQLS_1829">
               <source>Failed to calculate function call '{key1}'.</source>
               <target>Fehler beim Berechnen des Funktionsaufrufes '{key1}'.</target>
            </trans-unit>
            <trans-unit id="127" resname="ERR_SQLS_1830">
               <source>Failed to calculate case expression.</source>
               <target>Fehler beim Berechnen des Case Ausdrucks.</target>
            </trans-unit>
            <trans-unit id="128" resname="ERR_SQLS_1831">
               <source>Failed to calculate function parameter '{key1}'.</source>
               <target>Fehler beim Berechnen des Funktionsparameters '{key1}'.</target>
            </trans-unit>
            <trans-unit id="129" resname="ERR_SQLS_1832">
               <source>Failed to calculate 4D function call.</source>
               <target>Fehler beim Berechnen des 4D Funktionsaufrufes.</target>
            </trans-unit>
            <trans-unit id="130" resname="ERR_SQLS_1833">
               <source>Failed to sort while executing ORDER BY clause.</source>
               <target>Fehler beim Sortieren beim Ausführen der ORDER BY Klausel.</target>
            </trans-unit>
            <trans-unit id="131" resname="ERR_SQLS_1834">
               <source>Failed to calculate record hash.</source>
               <target>Fehler beim Berechnen des Datensatz-Hash.</target>
            </trans-unit>
            <trans-unit id="132" resname="ERR_SQLS_1835">
               <source>Failed to compare records.</source>
               <target>Fehler beim Vergleichen von Datensätzen.</target>
            </trans-unit>
            <trans-unit id="133" resname="ERR_SQLS_1836">
               <source>Failed to calculate INSERT value {key1}.</source>
               <target>Fehler beim Berechnen des INSERT Werts {key1}.</target>
            </trans-unit>
            <trans-unit id="134" resname="ERR_SQLS_1205">
               <source>Failed to update field {key1}.</source>
               <target>Fehler beim Aktualisieren von Feld {key1}.</target>
            </trans-unit>
            <trans-unit id="135" resname="ERR_SQLS_1156">
               <source>Auto-increment option is not allowed for column '{key1}' of type {key2}.</source>
               <target>Option Auto-Increment ist nicht erlaubt für Spalte '{key1}' Typ {key2}.</target>
            </trans-unit>
            <trans-unit id="136" resname="ERR_SQLS_1159">
               <source>Cannot drop system schema</source>
               <target>System Schema kann nicht gelöscht werden</target>
            </trans-unit>
            <trans-unit id="137" resname="ERR_SQLS_1004">
               <source>Access denied</source>
               <target>Zugriff untersagt</target>
            </trans-unit>
            <trans-unit id="138" resname="ERR_SQLS_1010">
               <source>Execution was interrupted by user</source>
               <target>Ausführung durch Anwender abgebrochen</target>
            </trans-unit>
            <trans-unit id="139" resname="ERR_SQLS_1160">
               <source>Character-set option is not allowed for column '{key1}' of type {key2}</source>
               <target>Zeichensatz-Option nicht für Spalte '{key1}' von Typ {key2} erlaubt</target>
            </trans-unit>
            <trans-unit id="140" resname="ERR_SQLS_1736">
               <source>Failed to validate REPLICATE command.</source>
               <target>Fehler beim Bestätigen des REPLICATE Befehls.</target>
            </trans-unit>
            <trans-unit id="141" resname="ERR_SQLS_1840">
               <source>Failed to execute REPLICATE command.</source>
               <target>Fehler beim Ausführen des REPLICATE Befehls.</target>
            </trans-unit>
            <trans-unit id="142" resname="ERR_SQLS_1161">
               <source>Source and destination item count mismatch in the REPLICATE command.</source>
               <target>Unterschied Anzahl Elemente bei Quelle und Source  im REPLICATE Befehl.</target>
            </trans-unit>
            <trans-unit id="143" resname="ERR_SQLS_1162">
               <source>Cannot replicate virtual column.</source>
               <target>Virtuelle Spalte kann nicht repliziert werden.</target>
            </trans-unit>
            <trans-unit id="144" resname="ERR_SQLS_1163">
               <source>"Auto-generate" option is not allowed for column '{key1}' of type {key2}.</source>
               <target>"Auto-generate" Option ist nicht für Spalte '{key1}' vom Typ {key2} erlaubt.</target>
            </trans-unit>
            <trans-unit id="145" resname="ERR_SQLS_1227">
               <source>Database already exists.</source>
               <target>Datenbank existiert bereits.</target>
            </trans-unit>
            <trans-unit id="146" resname="ERR_SQLS_1739">
               <source>Failed to validate Join clause.</source>
               <target>Fehler beim Bestätigen der JOIN Klausel.</target>
            </trans-unit>
            <trans-unit id="147" resname="ERR_SQLS_1203">
               <source>The functionality is not implemented.</source>
               <target>Diese Funktionalität ist nicht implementiert.</target>
            </trans-unit>
            <trans-unit id="148" resname="ERR_SQLS_1228">
               <source>Database not found.</source>
               <target>Datenbank nicht gefunden.</target>
            </trans-unit>
            <trans-unit id="149" resname="ERR_SQLS_1138">
               <source>Duplicated column '{key1}' in the column list.</source>
               <target>Mehrfach vorkommende Spalte '{key1}' in der Spaltenliste.</target>
            </trans-unit>
            <trans-unit id="150" resname="ERR_SQLS_1740">
               <source>Failed to validate CREATE VIEW command.</source>
               <target>Fehler beim Prüfen eines CREATE VIEW Befehls.</target>
            </trans-unit>
            <trans-unit id="151" resname="ERR_SQLS_1741">
               <source>Failed to validate DROP VIEW command.</source>
               <target>Fehler beim Prüfen eines DROP VIEW Befehls.</target>
            </trans-unit>
            <trans-unit id="152" resname="ERR_SQLS_1848">
               <source>Failed to execute CREATE VIEW command.</source>
               <target>Fehler beim Ausführen eines CREATE VIEW Befehls.</target>
            </trans-unit>
            <trans-unit id="153" resname="ERR_SQLS_1749">
               <source>Failed to execute DROP VIEW command.</source>
               <target>Fehler beim Ausführen eines DROP VIEW Befehls.</target>
            </trans-unit>
            <trans-unit id="154" resname="ERR_SQLS_4000">
               <source>View '{p1}' already exists.</source>
               <target>View '{p1}' existiert bereits.</target>
            </trans-unit>
            <trans-unit id="155" resname="ERR_SQLS_4001">
               <source>View '{p1}' doesn't exist.</source>
               <target>View '{p1}' existiert nicht.</target>
            </trans-unit>
            <trans-unit id="156" resname="ERR_SQLS_4002">
               <source>Trying to drop an empty list of view.</source>
               <target>Versuch eine leere View-Liste zu löschen.</target>
            </trans-unit>
            <trans-unit id="157" resname="ERR_SQLS_4003">
               <source>Trying to drop view but '{p1}' is a table.</source>
               <target>Versuch ein View zu löschen, '{p1}' ist jedoch eine Tabelle.</target>
            </trans-unit>
            <trans-unit id="158" resname="ERR_SQLS_4004">
               <source>View '{p1}' doesn't belong to schema '{p2}'.</source>
               <target>View '{p1}' gehört nicht zu Schema '{p2}'.</target>
            </trans-unit>
            <trans-unit id="159" resname="ERR_SQLS_4005">
               <source>Duplicate view '{p1}' in FROM clause.</source>
               <target>Doppeltes View '{p1}' in FROM Clause.</target>
            </trans-unit>
            <trans-unit id="160" resname="ERR_SQLS_4006">
               <source>Alias '{p1}' has same name as view.</source>
               <target>Alias '{p1}' hat den gleichen Namen wie View.</target>
            </trans-unit>
            <trans-unit id="161" resname="ERR_SQLS_4007">
               <source>View '{p1}' has same name as alias.</source>
               <target>View '{p1}' hat gleichen Namen wie Alias.</target>
            </trans-unit>
            <trans-unit id="162" resname="ERR_SQLS_4008">
               <source>No column selection expression.</source>
               <target>Kein Spalten Auswahl Ausdruck.</target>
            </trans-unit>
            <trans-unit id="163" resname="ERR_SQLS_4009">
               <source>View column named '{p1}' doesn't exist.</source>
               <target>View Spalte '{p1}' existiert nicht.</target>
            </trans-unit>
            <trans-unit id="164" resname="ERR_SQLS_4010">
               <source>View column names must be unique.</source>
               <target>View Spaltenname muss einmalig sein.</target>
            </trans-unit>
            <trans-unit id="165" resname="ERR_SQLS_4011">
               <source>Column alias '{p1}' is duplicate.</source>
               <target>Spaltenalias '{p1}' ist nicht eindeutig.</target>
            </trans-unit>
            <trans-unit id="166" resname="ERR_SQLS_4012">
               <source>Number of name definition(s) in CREATE VIEW doesn't match number of column selected.</source>
               <target>Anzahl Namen-Definition(en) in CREATE VIEW entspricht nicht der Anzahl ausgewählter Spalten.</target>
            </trans-unit>
            <trans-unit id="167" resname="ERR_SQLS_4013">
               <source>Failed to translate SELECT command with view(s).</source>
               <target>Fehler beim Interpretieren des SELECT Befehls mit View(s).</target>
            </trans-unit>
            <trans-unit id="168" resname="ERR_SQLS_4014">
               <source>Column name '{p1}' is ambiguous.</source>
               <target>Spalte Name '{p1}' ist mehrdeutig.</target>
            </trans-unit>
            <trans-unit id="169" resname="ERR_SQLS_4015">
               <source>Column named '{p1}' doesn't exist.</source>
               <target>Spalte Name '{p1}' existiert nicht.</target>
            </trans-unit>
            <trans-unit id="170" resname="ERR_SQLS_4016">
               <source>Duplicate table reference to '{p1}' in FROM clause.</source>
               <target>Doppelte Tabellen Referenz für '{p1}' in FROM Clause.</target>
            </trans-unit>
            <trans-unit id="171" resname="ERR_SQLS_4017">
               <source>Table named '{p1}' doesn't exist.</source>
               <target>Tabelle Name '{p1}' existiert nicht.</target>
            </trans-unit>
            <trans-unit id="172" resname="ERR_SQLS_4018">
               <source>Table alias '{p1}' is duplicate.</source>
               <target>Tabelle Alias '{p1}' ist mehrfach vorhanden.</target>
            </trans-unit>
            <trans-unit id="173" resname="ERR_SQLS_4019">
               <source>Table alias '{p1}' is same as table name.</source>
               <target>Tabelle Alias '{p1}' ist identisch zum Tabellennamen.</target>
            </trans-unit>
            <trans-unit id="174" resname="ERR_SQLS_4020">
               <source>Table column '{p1}' doesn't exist.</source>
               <target>Tabellenspalte '{p1}' existiert nicht.</target> 
            </trans-unit>
			    <trans-unit id="175" resname="ERR_SQLS_4021">
               <source>Schema ID {p1} (named '{p2}' at view creation) of view '{p3}' has been dropped.</source>
               <target>Schema ID {p1} (bei View Erzeugung benannt als '{p2}') von View '{p3}' wurde gelöscht.</target> 
            </trans-unit> 
			<trans-unit id="176" resname="ERR_SQLS_4022">
               <source>Trying to create a view with same name ('{p1}') as an existing table.</source>
               <target>Es wurde versucht ein View mit dem Namen einer bestehenden Tabelle anzulegen ('{p1}').</target> 
            </trans-unit> 			
			<trans-unit id="177" resname="ERR_SQLS_4023">
               <source>GROUP BY, ORDER BY, and HAVING are not allowed in view creation SELECT command.</source>
               <target>GROUP BY, ORDER BY und HAVING sind beim Erzeugen einer View im SELECT Teil erlaubt.</target> 
            </trans-unit> 
            <trans-unit id="178" resname="ERR_SQLS_4024">
               <source>View reference '{p1}.{p2}' is too complex for GROUP BY or ORDER BY.</source>
               <target>View Referenz '{p1}.{p2}' ist für GROUP BY oder ORDER BY zu komplex.</target> 
            </trans-unit>
           <trans-unit id="179" resname="ERR_SQLS_4025">
               <source>Trying to create a view ('{p1}') with no columns (check for empty tables).</source>
               <target>Es wurde versucht eine View ('{p1}') ohne Spalten anzulegen (Möglicherweise leere Tabellen).</target> 
            </trans-unit> 
           <trans-unit id="179" resname="ERR_SQLS_1155">
               <source>Index '{key1}' already exists.</source>
               <target>Index '{key1}' existiert bereits.</target> 
            </trans-unit>
         </group>
         
         <group resname="SQL_Messages">
            <trans-unit id="1" resname="SQL_PROGRESS_GROUP_BY">
               <source>Executing GROUP BY...</source>
               <target>Ausführung GROUP BY...</target>
            </trans-unit>
            <trans-unit id="2" resname="SQL_PROGRESS_HAVING">
               <source>Executing HAVING...</source>
               <target>Ausführung HAVING...</target>
            </trans-unit>
            <trans-unit id="3" resname="SQL_PROGRESS_DISTINCT">
               <source>Executing DISTINCT...</source>
               <target>Ausführung DISTINCT...</target>
            </trans-unit>
            <trans-unit id="4" resname="SQL_PROGRESS_ORDER_BY">
               <source>Executing ORDER BY...</source>
               <target>Ausführung ORDER BY...</target>
            </trans-unit>
            <trans-unit id="5" resname="SQL_PROGRESS_JOIN">
               <source>Executing ORDER BY...</source>
               <target>Ausführung ORDER BY...</target>
            </trans-unit>
            <trans-unit id="x" resname="SQL_PROGRESS_SELECT">
               <source>Executing SELECT...</source>
               <target>Ausführung SELECT...</target>
            </trans-unit>
            <trans-unit id="x" resname="SQL_PROGRESS_WHERE">
               <source>Executing WHERE...</source>
               <target>Ausführung WHERE...</target>
            </trans-unit>
            <trans-unit id="x" resname="SQL_PROGRESS_INSERT">
               <source>Executing INSERT...</source>
               <target>Ausführung INSERT...</target>
            </trans-unit>
            <trans-unit id="x" resname="SQL_PROGRESS_DELETE">
               <source>Executing DELETE...</source>
               <target>Ausführung DELETE...</target>
            </trans-unit>
            <trans-unit id="x" resname="SQL_PROGRESS_UPDATE">
               <source>Executing UPDATE...</source>
               <target>Ausführung UPDATE...</target>
            </trans-unit>
            <trans-unit id="x" resname="SQL_PROGRESS_AGGREGATES">
               <source>Calculating aggregate values...</source>
               <target>Berechne Aggregat-Werte...</target>
            </trans-unit>
            <trans-unit id="x" resname="SQL_PROGRESS_INSERTING">
               <source>Inserting rows...</source>
               <target>Zeilen einfügen...</target>
            </trans-unit>
            <trans-unit id="x" resname="SQL_NET_SESSION_MANAGER">
               <source>SQL net session manager</source>
               <target>SQL Net Session Manager</target>
            </trans-unit>
            <trans-unit id="x" resname="SQL_WORKER_THREAD">
               <source>SQL connection handler</source>
               <target>SQL Verbindungs-Handler</target>
            </trans-unit>
            <trans-unit id="x" resname="SQL_SPARE_THREAD">
               <source>Spare task</source>
               <target>Spare task</target>
            </trans-unit>
            <trans-unit id="x" resname="SNET_SELECT_IO_HANDLER">
               <source>ServerNet select I/O handler</source>
               <target>ServerNet Select I/O Handler</target>
            </trans-unit>
            <trans-unit id="x" resname="SNET_SHARED_WORKER">
               <source>Shared pool worker</source>
               <target>Shared Pool Worker</target>
            </trans-unit>
            <trans-unit id="x" resname="SNET_EXCLUSIVE_WORKER">
               <source>Exclusive pool worker</source>
               <target>Exclusive Pool Worker</target>
            </trans-unit>
            <trans-unit id="x" resname="SNET_SHARED_LOAD_BALANCER">
               <source>ServerNet shared load balancer</source>
               <target>ServerNet Shared Load Balancer</target>
            </trans-unit>
         </group>
      </body>
   </file>
</xliff>
